%ifarch %{arm}
%define build_docs     0
%else
%define build_docs     0
%endif

%define qtmajor        5
%define qtminor        11
%define qtsubminor     2

%define rel 1

%define qtversion        %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtserialbus   %mklibname qt5serialbus %{qtmajor}
%define libqtserialbus_d %mklibname qt5serialbus -d

%define qttarballdir     qtserialbus-everywhere-src-%{qtversion}

Name:           qtserialbus5
Version:        5.11.2
Release:        %mkrel 1
Summary:        Qt%{qtmajor} SerialBus component
# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
Group:          Development/KDE and Qt
Url:            https://www.qt.io/
Source0:        http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz

BuildRequires:  pkgconfig(Qt5Core) >= %{version}
BuildRequires:  pkgconfig(Qt5Gui) >= %{version}
BuildRequires:  pkgconfig(Qt5Network) >= %{version}
BuildRequires:  pkgconfig(Qt5Widgets) >= %{version}
BuildRequires:  pkgconfig(Qt5SerialPort) >= %{version}

%description
Qt%{qtmajor} Serial Bus API provides classes and functions to access the
various industrial serial buses and protocols, such as CAN, ModBus,
and others.

This package contains base tools, like string, xml, and network
handling.

%files
%{_qt5_bindir}/canbusutil
%{_qt5_plugindir}/canbus/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtSerialBus%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtSerialBus%{qtmajor} package for
use with Qt Assistant.

%files doc
%{_qt5_docdir}/qtserialbus.qch
%{_qt5_docdir}/qtserialbus/
%endif

#------------------------------------------------------------------------------

%package -n     %{libqtserialbus}
Summary:        Qt%{qtmajor} SerialBus Component Library
Group:          System/Libraries
Requires:       %{name} = %{version}

%description -n %{libqtserialbus}
Qt%{qtmajor} SerialBus Component Library.

%files -n %{libqtserialbus}
%{_qt5_libdir}/libQt5SerialBus.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n     %{libqtserialbus_d}
Summary:        Devel files needed to build apps based on QtSerialBus
Group:          Development/KDE and Qt
Requires:       %{libqtserialbus} = %{version}
Provides:       libqtserialbus5-devel = %{version}
Provides:       libqt5serialbus-devel = %{version}
Provides:       qtserialbus5-devel = %{version}
Provides:       qt5serialbus-devel = %{version}

%description -n %{libqtserialbus_d}
Devel files needed to build apps based on Qt SerialBus.

%files -n %{libqtserialbus_d}
%{_qt5_includedir}/QtSerialBus/
%{_qt5_libdir}/libQt5SerialBus.so
%{_qt5_libdir}/pkgconfig/Qt5SerialBus.pc
%{_qt5_libdir}/cmake/Qt5SerialBus/
%{_qt5_libdir}/*.prl
%{_qt5_prefix}/mkspecs/modules/*.pri
%{_qt5_examplesdir}/serialbus/

#------------------------------------------------------------------------------

%prep
%setup -q -n qtserialbus-everywhere-src-%{qtversion}

%build
%qmake_qt5

%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Mon Oct 15 2018 adrianomorselli <adrianomorselli> 5.11.2-1uplos2018
- update
